# ESP Embassy Wifi Project

Welcome to the **ESP Embassy Wifi** project! This is a working example of how to configure an AP using embassy.

## Features

- Runs the software and connect to the created AP esp-wifi. This is a copy of the esp-hal project with some comments
- Tested on a Lora32 T3 v1.6.1.

## Requirements

- [espup](https://github.com/esp-rs/espup) installed
- [Rust](https://www.rust-lang.org/) installed

## Installation

1. Clone the repository:
    ```bash
    git clone https://github.com/bibble235/esp-emb-wifi.git
    ```

2. Navigate to the project directory:
    ```bash
    cd esp32-static-ip
    ```

3. Set the environment variables for your static IP and Wi-Fi credentials. Remember to escape special characters:
    ```bash
    export GATEWAY_IP="10.1.1.99"
    ```

## Usage

Build and run the application with the following commands:
```bash
cargo build
cargo run
```

## License

This project is licensed under the [License Name]. See the [LICENSE](LICENSE) file for details.

## Demonstration

Below is a screenshot of a Lora32 T3 v1.6.1 running this application:

![Screenshot of a Lora32 T3 v1.6.1 running this app.](./assets/images/esp-emb-wifi.png)

## Contact

For questions or feedback, please contact [iwiseman@bibble.co.nz](mailto:iwiseman@bibble.co.nz).

---

![Rust](https://img.shields.io/badge/Rust-Language-black?logo=rust&logoColor=white)
![ESP32](https://img.shields.io/badge/ESP32-Microcontroller-blue)